org.apache.cassandra.db.filter

## Class AbstractColumnIterator

- java.lang.Object
- - org.apache.cassandra.db.filter.AbstractColumnIterator

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable, java.util.Iterator<OnDiskAtom>, OnDiskAtomIterator, CloseableIterator<OnDiskAtom>

      public abstract class AbstractColumnIterator
      extends java.lang.Object
      implements OnDiskAtomIterator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractColumnIterator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` clean up any open resources
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.db.columniterator.OnDiskAtomIterator

      `getColumnFamily, getKey`

    - ### Methods inherited from interface java.util.Iterator

      `hasNext, next`

- - ### Constructor Detail

    - #### AbstractColumnIterator

          public AbstractColumnIterator()

  - ### Method Detail

    - #### close

          public void close()
                     throws java.io.IOException

      Description copied from interface: `OnDiskAtomIterator`
      clean up any open resources
      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Specified by:
        `close` in interface `OnDiskAtomIterator`
      Throws:
        `java.io.IOException`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `java.util.Iterator<OnDiskAtom>`

Copyright © 2014 The Apache Software Foundation